Cookies (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.Cookies class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class Cookies

    java.lang.Object
      org.apache.tomcat.util.http.Cookies

public final class Cookies
extends java.lang.Object

A collection of cookies - reusable and tuned for server side performance. Based on RFC2965 ( and 2109 ) This class is not synchronized.

Author:
  Costin Manolache, kevin seguin

Field Summary
`static int` | `INITIAL_SIZE`

Constructor Summary
`Cookies()` Construct a new uninitialized cookie collection.
`Cookies(MimeHeaders headers)` Construct a new cookie collection, that will extract the information from headers.

Method Summary
`ServerCookie` | `addCookie()` Register a new, unitialized cookie.
`static boolean` | `equals(java.lang.String s, byte[] b, int start, int end)`
`static int` | `findDelim1(byte[] bytes, int off, int end)`
`static int` | `findDelim2(byte[] bytes, int off, int end)`
`ServerCookie` | `getCookie(int idx)`
`int` | `getCookieCount()`
`static int` | `indexOf(byte[] bytes, int off, int end, byte qq)`
`static int` | `indexOf(byte[] bytes, int off, int end, char qq)`
`void` | `log(java.lang.String s)`
`void` | `processCookies(MimeHeaders headers)` Add all Cookie found in the headers of a request.
`void` | `recycle()` Recycle.
`void` | `setHeaders(MimeHeaders headers)` Set the headers from which cookies will be pulled.
`static int` | `skipSpaces(byte[] bytes, int off, int end)`
`java.lang.String` | `toString()` EXPENSIVE!!!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INITIAL_SIZE

    public static final int INITIAL_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Cookies

    public Cookies(MimeHeaders headers)

  Construct a new cookie collection, that will extract the information from headers.

Parameters:
  `headers` - Cookies are lazy-evaluated and will extract the information from the provided headers.

### Cookies

    public Cookies()

  Construct a new uninitialized cookie collection. Use `setHeaders(org.apache.tomcat.util.http.MimeHeaders)` to initialize.

Method Detail

### setHeaders

    public void setHeaders(MimeHeaders headers)

  Set the headers from which cookies will be pulled. This has the side effect of recycling the object.

  Parameters:
    `headers` - Cookies are lazy-evaluated and will extract the information from the provided headers.

### recycle

    public void recycle()

  Recycle.

### toString

    public java.lang.String toString()

  EXPENSIVE!!! only for debugging.

### getCookie

    public ServerCookie getCookie(int idx)

### getCookieCount

    public int getCookieCount()

### addCookie

    public ServerCookie addCookie()

  Register a new, unitialized cookie. Cookies are recycled, and most of the time an existing ServerCookie object is returned. The caller can set the name/value and attributes for the cookie

### processCookies

    public void processCookies(MimeHeaders headers)

  Add all Cookie found in the headers of a request.

### skipSpaces

    public static int skipSpaces(byte[] bytes,
                                 int off,
                                 int end)

### findDelim1

    public static int findDelim1(byte[] bytes,
                                 int off,
                                 int end)

### findDelim2

    public static int findDelim2(byte[] bytes,
                                 int off,
                                 int end)

### indexOf

    public static int indexOf(byte[] bytes,
                              int off,
                              int end,
                              byte qq)

### indexOf

    public static int indexOf(byte[] bytes,
                              int off,
                              int end,
                              char qq)

### equals

    public static boolean equals(java.lang.String s,
                                 byte[] b,
                                 int start,
                                 int end)

### log

    public void log(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.